com.microfocus.awm.core

## Class StringTable

- java.lang.Object
- - com.microfocus.awm.core.StringTable

- All Implemented Interfaces:
    IObjectTable<java.lang.String>

      public class StringTable
      extends java.lang.Object
      implements IObjectTable<java.lang.String>

  A table of String values which can be defined line by line.
  Author:
    Micro Focus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringTable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLine(java.util.List<java.lang.String> pValues)` Adds a new line at the end of the string table containing the given list of values.
    `void` | `addLine(java.lang.String[] pValues)` Adds a new line at the end of the string table containing the given array of values.
    `java.lang.String[][]` | `getValues()` Returns the table's values while the first array dimension represents a line and the second dimension its values.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringTable

          public StringTable()

  - ### Method Detail

    - #### addLine

          public void addLine(java.util.List<java.lang.String> pValues)

      Adds a new line at the end of the string table containing the given list of values.
      Parameters:
        `pValues` - the values for the new line.

    - #### addLine

          public void addLine(java.lang.String[] pValues)

      Adds a new line at the end of the string table containing the given array of values.
      Parameters:
        `pValues` - the values for the new line.

    - #### getValues

          public java.lang.String[][] getValues()

      Description copied from interface: `IObjectTable`
      Returns the table's values while the first array dimension represents a line and the second dimension its values.
      Specified by:
        `getValues` in interface `IObjectTable<java.lang.String>`
      Returns:
        the table values

Copyright © 2015 Micro Focus GmbH. All rights reserved.